# Method: replies.patch

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/replies/patch#try-it)

Updates an existing reply.

### HTTP request

`PATCH https://www.googleapis.com/drive/v2/files/{fileId}/comments/{commentId}/replies/{replyId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |
| `commentId` | `string` The ID of the comment. |
| `replyId` | `string` The ID of the reply. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/replies#CommentReply`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/replies#CommentReply`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).